curl --request GET \
--url https://api.augustus.com/v1/webhook_subscriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/webhook_subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/webhook_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440009",
"type": "webhook_subscription",
"url": "https://sandbox.example.com/webhooks/augustus",
"events": [
"payout.sent"
],
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z"
}Retrieve webhook subscription
Retrieves a webhook subscription by ID.
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the webhook subscription.
"550e8400-e29b-41d4-a716-446655440009"
Response
The webhook subscription resource
Unique identifier of the webhook subscription.
"550e8400-e29b-41d4-a716-446655440009"
Resource type discriminator.
webhook_subscription The HTTPS URL where webhook events are delivered.
"https://sandbox.example.com/webhooks/augustus"
Event types this subscription receives.
Event type the subscription receives.
payout.initiated, payout.submitted, payout.sent, payout.failed, payout.returned, return.initiated, return.submitted, return.sent, return.failed, return.returned, deposit.settled, conversion.created, conversion.completed, conversion.failed, account_holder.active, account_holder.closed ["payout.sent"]
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
ISO 8601 UTC timestamp when the subscription was created.
"2026-01-15T10:30:00Z"
ISO 8601 UTC timestamp when the subscription was last updated.
"2026-01-15T10:35:00Z"
Was this page helpful?